## org.apache.hadoop.mapred
Class JobEndNotifier

    java.lang.Object
      org.apache.hadoop.mapred.JobEndNotifier

    public class JobEndNotifier

extends Object

Constructor Summary
`JobEndNotifier()`

Method Summary
`static void` `localRunnerNotification(JobConf conf, JobStatus status)`
`static void` `registerNotification(JobConf jobConf, JobStatus status)`
`static void` `startNotifier()`
`static void` `stopNotifier()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JobEndNotifier

    public JobEndNotifier()

Method Detail

### startNotifier

    public static void startNotifier()

### stopNotifier

    public static void stopNotifier()

### registerNotification

    public static void registerNotification(JobConf jobConf,
                                            JobStatus status)

### localRunnerNotification

    public static void localRunnerNotification(JobConf conf,
                                               JobStatus status)

Copyright © 2009 The Apache Software Foundation